Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class MultiControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.MultiControl

All Implemented Interfaces:
  ECPControlSWT

Direct Known Subclasses:
  AttributeMultiControl, ReferenceMultiControl

    public abstract class MultiControl

extends SWTControl

This control provides the necessary common functionality to create a multicontrol that are needed for `EStructuralFeature`s that have multiple values.

Author:
  Eugen Neufeld

Constructor Summary
`MultiControl()`

Method Summary
`org.eclipse.core.databinding.Binding` | `bindValue()` Triggers the control to perform the databinding.
`void` | `dispose()` Disposes the control.
`void` | `setEditable(boolean isEditable)` Deprecated.
`boolean` | `showLabel()` Deprecated.

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`createControl, createControls, setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, handleValidation, init, resetValidation, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiControl

    public MultiControl()

Method Detail

### dispose

    public void dispose()

  Disposes the control. A control which needs specific dispose handling must still call super.dispose.

  Overrides:
    `dispose` in class `SWTControl`

### bindValue

    public org.eclipse.core.databinding.Binding bindValue()

  Description copied from class: `SWTControl`
  Triggers the control to perform the databinding.

  Returns:
    The `Binding`

### setEditable

    @Deprecated
    public void setEditable(boolean isEditable)

  Deprecated.

  Sets the state of the widget to be either editable or not.

  Overrides:
    `setEditable` in class `ECPAbstractControl`
  Parameters:
    `isEditable` - whether to set the widget editable

### showLabel

    @Deprecated
    public boolean showLabel()

  Deprecated.

  Whether a label should be shown for this control.

  Overrides:
    `showLabel` in class `ECPAbstractControl`
  Returns:
    true if a label should be created, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.